Package com.stardog.stark

# Class XMLCalendar.Delegate

java.lang.Object
com.stardog.stark.XMLCalendar.Delegate

All Implemented Interfaces:
  `XMLCalendar`

Enclosing interface:
  `XMLCalendar`

public static class XMLCalendar.Delegate extends Object implements XMLCalendar

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.stardog.stark.XMLCalendar

  `XMLCalendar.Delegate`

- ## Field Summary

  ### Fields inherited from interface com.stardog.stark.XMLCalendar

  `FIELD_UNDEFINED`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Delegate(XMLGregorianCalendar xc)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compare(XMLCalendar other)`
  `int`
  `getDay()`
  `BigInteger`
  `getEon()`
  Returns the high order component for XML Schema 1.0 dateTime datatype field for year.
  `BigDecimal`
  `getFractionalSecond()`
  `int`
  `getHour()`
  `int`
  `getMillisecond()`
  `int`
  `getMinute()`
  `int`
  `getMonth()`
  `int`
  `getSecond()`
  `int`
  `getTimezone()`
  `int`
  `getYear()`
  `String`
  `toXMLFormat()`
  `XMLGregorianCalendar`
  `unwrap()`
  Get underlying calendar object.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.stardog.stark.XMLCalendar

  `toOffsetDateTime`

- ## Constructor Details

  - ### Delegate

    public Delegate(XMLGregorianCalendar xc)

- ## Method Details

  - ### getEon

    public BigInteger getEon()
    Description copied from interface: `XMLCalendar`
    Returns the high order component for XML Schema 1.0 dateTime datatype field for year. Should always be null for inlined values
    Specified by:
      `getEon` in interface `XMLCalendar`
    Returns:
      Null if this optional part of the year field is not defined.
    See Also:
      - `XMLGregorianCalendar`

  - ### getYear

    public int getYear()
    Specified by:
      `getYear` in interface `XMLCalendar`

  - ### getMonth

    public int getMonth()
    Specified by:
      `getMonth` in interface `XMLCalendar`

  - ### getDay

    public int getDay()
    Specified by:
      `getDay` in interface `XMLCalendar`

  - ### getHour

    public int getHour()
    Specified by:
      `getHour` in interface `XMLCalendar`

  - ### getMinute

    public int getMinute()
    Specified by:
      `getMinute` in interface `XMLCalendar`

  - ### getSecond

    public int getSecond()
    Specified by:
      `getSecond` in interface `XMLCalendar`

  - ### getMillisecond

    public int getMillisecond()
    Specified by:
      `getMillisecond` in interface `XMLCalendar`

  - ### getFractionalSecond

    public BigDecimal getFractionalSecond()
    Specified by:
      `getFractionalSecond` in interface `XMLCalendar`

  - ### getTimezone

    public int getTimezone()
    Specified by:
      `getTimezone` in interface `XMLCalendar`

  - ### toXMLFormat

    public String toXMLFormat()
    Specified by:
      `toXMLFormat` in interface `XMLCalendar`

  - ### compare

    public int compare(XMLCalendar other)
    Specified by:
      `compare` in interface `XMLCalendar`
    See Also:
      - `XMLGregorianCalendar.compare(XMLGregorianCalendar)`

  - ### unwrap

    public XMLGregorianCalendar unwrap()
    Description copied from interface: `XMLCalendar`
    Get underlying calendar object. Might be created lazily.
    Specified by:
      `unwrap` in interface `XMLCalendar`
    Returns: